Skip to content
POST/{organizationId}/{mandateId}/finance/cash/accounts/{cashAccountId}

Update cash account

Updates certain settings of a specific cash account for a given mandate

Required permissions:

  • mandate.read

  • cashAccount.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
cashAccountIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 32

balanceintegerrequired

minimum: -9007199254740991

maximum: 9999999999

ownerNamestringoptional

minLength: 1

maxLength: 70

ibanibanoptional
bicstringoptional
bankNamestringoptional

minLength: 1

maxLength: 100

sepaCreditTransfersBatchSizeintegeroptional

maximum: 9007199254740991

exclusiveMinimum: 0

sepaDirectDebitsBatchSizeintegeroptional

minimum: 0

maximum: 9007199254740991

batchBookingbooleanrequired
directDebitSubmissionMethodstringrequired

Options:

xmlonline
creditTransferSubmissionMethodstringrequired

Options:

xmlonline

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/accounts/{cashAccountId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/accounts/{cashAccountId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "balance": -9007199254740991,
  "batchBooking": true,
  "directDebitSubmissionMethod": "xml",
  "creditTransferSubmissionMethod": "xml"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}